/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */

package com.sun.ts.tests.jaxrs.spec.resource.requestmatching;

import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("resource/locator")
public class LocatorResource {

	@Path("locator")
	public AnotherResourceLocator locator() {
		return new AnotherResourceLocator();
	}

	@GET
	@Path("locator")
	public String subresourcePrecedence() {
		return getClass().getSimpleName();
	}

	@Path("sub")
	public AnotherResourceLocator foundAnotherResourceLocatorByPath() {
		return new AnotherResourceLocator();
	}

}
